Debian DSA-4333-1 : icecast2 - security update

High Nessus Plugin ID 118722

Synopsis

The remote Debian host is missing a security-related update.

Description

Nick Rolfe discovered multiple buffer overflows in the Icecast multimedia streaming server which could result in the execution of arbitrary code.

Solution

Upgrade the icecast2 packages.

For the stable distribution (stretch), this problem has been fixed in version 2.4.2-1+deb9u1.

See Also

https://security-tracker.debian.org/tracker/source-package/icecast2

https://packages.debian.org/source/stretch/icecast2

https://www.debian.org/security/2018/dsa-4333

Plugin Details

Severity: High

ID: 118722

File Name: debian_DSA-4333.nasl

Version: 1.3

Type: local

Agent: unix

Published: 2018/11/05

Modified: 2018/11/13

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:debian:debian_linux:icecast2, cpe:/o:debian:debian_linux:9.0

Required KB Items: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

Patch Publication Date: 2018/11/04

Reference Information

CVE: CVE-2018-18820

DSA: 4333